//                                               -*- C++ -*-
/**
 *  @file  OTSimulation.hxx
 *  @brief The external header file of Open TURNS for subdir Simulation
 *
 *  (C) Copyright 2005-2007 EDF-EADS-Phimeca
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *  @author: $LastChangedBy: dutka $
 *  @date:   $LastChangedDate: 2009-02-11 16:49:59 +0100 (Wed, 11 Feb 2009) $
 *  Id:      $Id: OTSimulation.hxx 1129 2009-02-11 15:49:59Z dutka $
 */

#ifndef OPENTURNS_OTSIMULATION_HXX
#define OPENTURNS_OTSIMULATION_HXX

#include "PostAnalyticalSimulation.hxx"
#include "Simulation.hxx"
#include "SimulationResult.hxx"
#include "SimulationResultImplementation.hxx"
#include "Wilks.hxx"
#include "OTDirectionalSampling.hxx"
#include "OTImportanceSampling.hxx"
#include "OTLHS.hxx"
#include "OTMonteCarlo.hxx"
#include "OTPostAnalyticalControlledImportanceSampling.hxx"
#include "OTPostAnalyticalImportanceSampling.hxx"
#include "OTQuasiMonteCarlo.hxx"

#endif /* OPENTURNS_OTSIMULATION_HXX */
