// SWIG file Histogram.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2007-05-10 16:43:31 +0200 (jeu. 10 mai 2007) $
// Id : $Id: Histogram.i 434 2007-05-10 14:43:31Z dutka $

%{
#include "Histogram.hxx"
%}

%include Histogram.hxx


namespace OpenTURNS { namespace Uncertainty { namespace Distribution {
struct HistogramPair {
  NumericalScalar h_;
  NumericalScalar l_;
  HistogramPair();
  HistogramPair(NumericalScalar h, NumericalScalar l);
  ~HistogramPair();
}; /* end struct Pair */

%extend HistogramPair {
  const String __str__() const
  {
    return OT::OSS() << "Histogram::Pair("
                     << self->h_ << ", "
                     << self->l_ << ")";
  }
}

}}}

%template(HistogramPairCollection) OpenTURNS::Base::Type::Collection<OpenTURNS::Uncertainty::Distribution::HistogramPair>;

namespace OpenTURNS { namespace Uncertainty { namespace Distribution {

%extend Histogram {
  Histogram(NumericalScalar first, const OpenTURNS::Base::Type::Collection<OpenTURNS::Uncertainty::Distribution::HistogramPair> & collection)
  {
    return new OpenTURNS::Uncertainty::Distribution::Histogram(first,collection);
  }
}

}}}
namespace OpenTURNS { namespace Uncertainty { namespace Distribution { %extend Histogram { Histogram(const Histogram & other) { return new OpenTURNS::Uncertainty::Distribution::Histogram(other); } } }}}
