// SWIG file Matrix.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2007-05-10 16:43:31 +0200 (jeu. 10 mai 2007) $
// Id : $Id: Matrix.i 434 2007-05-10 14:43:31Z dutka $

%{
#include "Matrix.hxx"
%}

%template(MatrixImplementationTypedInterfaceObject) OpenTURNS::Base::Common::TypedInterfaceObject<OpenTURNS::Base::Type::MatrixImplementation>;
%include Matrix.hxx

namespace OpenTURNS { namespace Base { namespace Type {

%extend Matrix {
	NumericalScalar __getitem__(PyObject * args) const {

          OpenTURNS::UnsignedLong arg2 ;
          OpenTURNS::UnsignedLong arg3 ;
          unsigned long val2 ;
          int ecode2 = 0 ;
          unsigned long val3 ;
          int ecode3 = 0 ;
          PyObject * obj1 = 0 ;
          PyObject * obj2 = 0 ;

          if (!PyArg_ParseTuple(args,(char *)"OO:Matrix___getitem__",&obj1,&obj2)) SWIG_fail;

          ecode2 = SWIG_AsVal_unsigned_SS_long(obj1, &val2);
          if (!SWIG_IsOK(ecode2)) {
            SWIG_exception_fail(SWIG_ArgError(ecode2), "in method '" "Matrix___getitem__" "', argument " "2"" of type '" "OpenTURNS::UnsignedLong""'");
          }
          arg2 = static_cast< OpenTURNS::UnsignedLong >(val2);


          ecode3 = SWIG_AsVal_unsigned_SS_long(obj2, &val3);
          if (!SWIG_IsOK(ecode3)) {
            SWIG_exception_fail(SWIG_ArgError(ecode3), "in method '" "Matrix___getitem__" "', argument " "3"" of type '" "OpenTURNS::UnsignedLong""'");
          }
          arg3 = static_cast< OpenTURNS::UnsignedLong >(val3);

          return (*self)(arg2,arg3);
fail:
          return 0.;
	}



	void __setitem__(PyObject * args, NumericalScalar val) {

          OpenTURNS::UnsignedLong arg2 ;
          OpenTURNS::UnsignedLong arg3 ;
          unsigned long val2 ;
          int ecode2 = 0 ;
          unsigned long val3 ;
          int ecode3 = 0 ;
          PyObject * obj1 = 0 ;
          PyObject * obj2 = 0 ;

          if (!PyArg_ParseTuple(args,(char *)"OO:Matrix___setitem__",&obj1,&obj2)) SWIG_fail;

          ecode2 = SWIG_AsVal_unsigned_SS_long(obj1, &val2);
          if (!SWIG_IsOK(ecode2)) {
            SWIG_exception_fail(SWIG_ArgError(ecode2), "in method '" "Matrix___setitem__" "', argument " "2"" of type '" "OpenTURNS::UnsignedLong""'");
          }
          arg2 = static_cast< OpenTURNS::UnsignedLong >(val2);


          ecode3 = SWIG_AsVal_unsigned_SS_long(obj2, &val3);
          if (!SWIG_IsOK(ecode3)) {
            SWIG_exception_fail(SWIG_ArgError(ecode3), "in method '" "Matrix___setitem__" "', argument " "3"" of type '" "OpenTURNS::UnsignedLong""'");
          }
          arg3 = static_cast< OpenTURNS::UnsignedLong >(val3);

          (*self)(arg2,arg3) = val;
fail:
	  return;
	}
};

}}}
namespace OpenTURNS{ namespace Base { namespace Type {  %extend Matrix { Matrix(const Matrix & other) { return new OpenTURNS::Base::Type::Matrix(other); } } }}}
